Hello Guest, if you are reading this it means you have not registered yet. Please take a second, Click here to register, and in a few simple steps you will be able to enjoy our community and use our OpenViX support section.

View Entry Info: Xe 3.1.1

Category:
Possible Bug
What ViX Image build number are you using?
Please provide your ViX Team image build number. Menu > Information > About > Build number > ENTER THIS NUMBER e.g. 4.2.028
6.2.005
Have you tried a flash WITHOUT settings restore?
Have you tried this? PLEASE SELECT YES OR NO.
Yes
Have you tried a flash WITH settings restore?
Have you tried this? PLEASE SELECT YES OR NO.
No
Attachments
Page 2 of 2 FirstFirst 12
Results 16 to 22 of 22

Thread: Xe 3.1.1

  1. #16
    twol's Avatar
    Title
    Moderator
    Join Date
    Apr 2012
    Posts
    7,486
    Thanks
    910
    Thanked 2,604 Times in 1,997 Posts
    Quote Originally Posted by spevs View Post
    Hi Twol, latest crash log Attachment 64040
    Thanks, cannot give you a fix as only pyc files in ipk.
    Fault is here...
    < 62414.5303> 09:14:36.7734 File "/usr/lib/enigma2/python/Components/Console.py", line 50, in finishedCB
    < 62414.5309> 09:14:36.7740 File "XE-DIST/XEVpnMain.py", line 205, in checkNetworkState
    < 62414.5313> 09:14:36.7744 TypeError: 'in <string>' requires string as left operand, not bytes
    < 62414.5314> 09:14:36.7745 [ePyObject] (CallObject(<traceback object at 0xaf8efbe8>,(0,)) failed)

    Most images OpenViX, OpenPli & OpenATV now return a string not bytes from the console command.
    So the XE people need to change the left operand to a string OR use a call to Console with binary=True

    leave you guys to talk to XE
    Gigablue Quad 4K & UE 4K
    .........FBC Tuners:
    ------------------> DUR-Line DCR 5-1-8-L4 Multiswitch to 1.5M dish(28.2E)
    ------------------> Spaun SUS 5581/33 NFA Multiswitch to 80 cm dish(19.2E)
    .......................> FBC & DVB-S2X into 90cm dish (27.5W) Opticum robust Unicable LNB
    AX HD61, Edision Osmio 4K+, Zgemma H9Combo, Octagon SF8008 using Legacy ports on multiswitches
    Zgemma H9 C/S into Giga4K

  2. The Following User Says Thank You to twol For This Useful Post:

    spevs (24-06-22)

  3. #17

    Title
    Senior Member
    Join Date
    Mar 2012
    Posts
    107
    Thanks
    31
    Thanked 7 Times in 6 Posts
    Twol, I have raised the following directly with XE:-

    " Xtream Editor 3.1.2 accessing VPN Setup causing crashes on VIX 6.2.005 and other images
    24/06/22 17:01You
    Hi since VIX went to Python 3 there seems to be frequent issues with XE, on Python 2 XE 3.0.9 worked perfectly. Then VIX 6.0.XXX came out and XE was upgraded to 3.1.1 it worked fine until the latest upgrade to VIX 6.2.005, however since the upgrade XE 3.1.2 causes the box to crash when launching XE VPN Setup, all other aspects of XE work fine apart from the VPN bit. I have raised this with VIX people and they have come back with the following.



    " Fault is here...
    < 62414.5303> 09:14:36.7734 File "/usr/lib/enigma2/python/Components/Console.py", line 50, in finishedCB
    < 62414.5309> 09:14:36.7740 File "XE-DIST/XEVpnMain.py", line 205, in checkNetworkState
    < 62414.5313> 09:14:36.7744 TypeError: 'in <string>' requires string as left operand, not bytes
    < 62414.5314> 09:14:36.7745 [ePyObject] (CallObject(<traceback object at 0xaf8efbe8>,(0,)) failed)

    Most images OpenViX, OpenPli & OpenATV now return a string not bytes from the console command.
    So the XE people need to change the left operand to a string OR use a call to Console with binary=True

    leave you guys to talk to XE"



    Is this something you can help with......................Please.

  4. #18

    Title
    Senior Member
    Join Date
    Mar 2012
    Posts
    107
    Thanks
    31
    Thanked 7 Times in 6 Posts
    XE have advised they will adjust their plugin over the next few days.............. Will keep you posted...........Spevs

  5. #19

    Title
    Senior Member
    Join Date
    Mar 2012
    Posts
    107
    Thanks
    31
    Thanked 7 Times in 6 Posts
    XE fix applied, XE VPN Setup using 6.2.005 & XE 3.1.2 now does not cause box to crash................ Big thanks to Twol again for getting to the root of the issue............

  6. The Following 2 Users Say Thank You to spevs For This Useful Post:

    dsayers (25-06-22),twol (25-06-22)

  7. #20

    Title
    Senior Member
    Join Date
    Mar 2012
    Posts
    107
    Thanks
    31
    Thanked 7 Times in 6 Posts
    Correction to above post - XE 3.1.3 is required

  8. #21

    Title
    Senior Member
    Join Date
    Apr 2013
    Posts
    112
    Thanks
    34
    Thanked 7 Times in 5 Posts
    Is XE 3.1.3 available yet?

  9. #22

    Title
    Senior Member
    Join Date
    Mar 2012
    Posts
    107
    Thanks
    31
    Thanked 7 Times in 6 Posts
    Quote Originally Posted by vuesolo View Post
    Is XE 3.1.3 available yet?
    Yes, you can upgrade it from within the XE Menu or install it via Putty "wget -O /tmp/install.sh "http://xeev.net/files/ipk/install3.sh" && chmod 755 /tmp/install.sh && /tmp/install.sh"

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
This website uses cookies
We use cookies to store session information to facilitate remembering your login information, to allow you to save website preferences, to personalise content and ads, to provide social media features and to analyse our traffic. We also share information about your use of our site with our social media, advertising and analytics partners.